Name:          polkit-gnome
Version:       0.105
Release:       3mamba
Summary:       PolicyKit integration for the GNOME desktop
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.freedesktop.org/wiki/Software/PolicyKit
Source:        ftp://ftp.gnome.org/pub/gnome/sources/polkit-gnome/%{version}/polkit-gnome-%{version}.tar.xz
Patch0:        polkit-gnome-0.105-Select-the-current-user-to-authenticate-with-by-defa.patch
Patch1:        polkit-gnome-0.105-Auth-dialog-Make-the-label-wrap-at-70-chars.patch
Patch2:        polkit-gnome-0.105-Get-user-icon-from-accountsservice-instead-of-lookin.patch
Patch3:        polkit-gnome-0.105-Use-fresh-X11-timestamps-when-displaying-authenticat.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libbrotli-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libexpat-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libpolkit-devel
BuildRequires: libsystemd-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gobject-introspection-devel
Provides:      polkit-gnome-devel
Obsoletes:     polkit-gnome-devel < 0.105-3mamba
Obsoletes:     polkit-gnome-apidocs < 0.105-3mamba
Requires:      at-spi2-core

%description
%{name} provides an authentication agent for PolicyKit that matches the look and feel of the GNOME desktop

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
PolicyKit integration for the GNOME desktop.

This package contains static libraries and header files needed for development.

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{name} API documentation.

%debug_package

%prep
%setup -q
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure \
	 --enable-gtk-doc \
	 --disable-introspection

make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
make install DESTDIR=%{buildroot}

#echo 'NotShowIn=KDE;' >> %{buildroot}%{_sysconfdir}/xdg/autostart/polkit-gnome-authentication-agent-1.desktop

%find_lang %{name}-1

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}-1.lang
%defattr(-,root,root)
%{_libexecdir}/polkit-gnome-*
%doc AUTHORS COPYING

%changelog
* Wed Apr 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.105-3mamba
- rebuilt with aarch64 build fix, debug package and patches

* Sun May 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.105-2mamba
- require at-spi2-core

* Thu Oct 27 2011 Automatic Build System <autodist@mambasoft.it> 0.105-1mamba
- automatic version update by autodist

* Mon Oct 17 2011 Automatic Build System <autodist@mambasoft.it> 0.104-1mamba
- automatic version update by autodist

* Sat Oct 01 2011 Automatic Build System <autodist@mambasoft.it> 0.103-1mamba
- update to 0.103

* Wed Aug 17 2011 Automatic Build System <autodist@mambasoft.it> 0.102-1mamba
- automatic version update by autodist

* Sun Jun 26 2011 Automatic Build System <autodist@mambasoft.it> 0.101-1mamba
- automatic update by autodist

* Thu Jan 27 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99-1mamba
- update to 0.99

* Fri Oct 08 2010 gil <puntogil@libero.it> 0.96-1mamba
- package created by autospec
